Subject: Re: [PATCH 1/1] VSOCK: Introduce VM Sockets

From: Gerd Hoffmann <[email-masked]>
Date: Tue, 19 Feb 2013 09:45:38 +0100

On 02/18/13 18:07, Andy King wrote:
> Hi Gerd,
> 
>>> +		written = transport->stream_enqueue(
>>> +				vsk, msg->msg_iov,
>>> +				len - total_written);
>>
>> Hmm, shouldn't we pass total_written to stream_enqueue here?
>>
>> In case a blocking send(big-buffer) call gets splitted into multiple
>> stream_enqueue calls the second (and further) stream_enqueue calls need
>> to know at which msg offset they should continue sending the data, no?
> 
> On the client side, the iov tracks it internally; see memcpy_fromiovec().

Ah, memcpy_fromiovec patches the iovec to keep track of the offset.
Wasn't aware it does this.  Yes, we don't need to pass the offset then.

cheers,
  Gerd